Reference
Create a task
Creates a task in the project associated with the bearer project access token. The operation uses the token creator's current task permissions and attributes the task to that user.
POST
/v1/external/taskCreates a task in the project associated with the bearer project access token. The operation uses the token creator's current task permissions and attributes the task to that user.
Header Parameters
Authorization*string
Project access token in Bearer format, e.g. Bearer <token>
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://api-external.svit.one/api/v1/external/task" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"status": "todo",
"priority": "high",
"folder": "ca579eb8-24ac-44d0-a8b9-a42c500083f5",
"parentTask": "deffe9eb-0e50-4aa4-9380-0f16e402e6b7",
"startDate": "2019-08-24T14:15:22Z",
"dueDate": "2019-08-24T14:15:22Z",
"assigneeIds": [
0
],
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"type": "https://api-errors.svit.one/validation/invalid-request",
"title": "Validation Failed",
"status": 400,
"detail": "Task name is required",
"code": "INVALID_REQUEST",
"errors": [
{
"field": "name",
"message": "Task name is required"
}
],
"timestamp": "2026-08-25T21:18:32.008Z"
}{
"type": "https://api-errors.svit.one/access/project-access-denied",
"title": "Project Access Denied",
"status": 403,
"detail": "You do not have access to project 1",
"code": "PROJECT_ACCESS_DENIED",
"timestamp": "2026-08-25T21:18:32.008Z"
}{
"type": "https://api-errors.svit.one/internal/server-error",
"title": "Internal Server Error",
"status": 500,
"detail": "An unexpected error occurred",
"code": "INTERNAL_SERVER_ERROR",
"timestamp": "2026-08-25T21:18:32.008Z"
}